Package com.independentsoft.office.spreadsheet

# Class Cell

java.lang.Object
com.independentsoft.office.spreadsheet.Cell

public class Cell extends Object
The Class Cell.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Cell()`
  Instantiates a new cell.
  `Cell​(boolean value)`
  Instantiates a new cell.
  `Cell​(double value)`
  Instantiates a new cell.
  `Cell​(float value)`
  Instantiates a new cell.
  `Cell​(int value)`
  Instantiates a new cell.
  `Cell​(String value)`
  Instantiates a new cell.
  `Cell​(Date date)`
  Instantiates a new cell.
  `Cell​(Date date, boolean use1904DateSystem)`
  Instantiates a new cell.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Cell`
  `clone()`
  `Date`
  `getDateValue()`
  Gets the date value.
  `Date`
  `getDateValue​(boolean use1904DateSystem)`
  Gets the date value.
  `ExtensionList`
  `getExtensionList()`
  Gets the cell's future-feature extension list (extLst element), e.g.
  `CellFormat`
  `getFormat()`
  Gets the format.
  `Formula`
  `getFormula()`
  Gets the formula.
  `Hyperlink`
  `getHyperlink()`
  Gets the hyperlink.
  `long`
  `getMataDataIndex()`
  Gets the mata data index.
  `String`
  `getReference()`
  Gets the reference.
  `RichTextInline`
  `getRichTextInline()`
  Gets the rich text inline.
  `CellType`
  `getType()`
  Gets the type.
  `String`
  `getValue()`
  Gets the value.
  `long`
  `getValueMetaDataIndex()`
  Gets the value meta data index.
  `int`
  `getValueSharedStringIndex()`
  Gets the value shared string index.
  `boolean`
  `isPreserveSpace()`
  Checks if is preserve space.
  `boolean`
  `isShowPhonetic()`
  Checks if is show phonetic.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the cell's future-feature extension list (extLst element).
  `void`
  `setFormat​(CellFormat format)`
  Sets the format.
  `void`
  `setFormula​(Formula formula)`
  Sets the formula.
  `void`
  `setHyperlink​(Hyperlink hyperlink)`
  Sets the hyperlink.
  `void`
  `setMataDataIndex​(long metaDataIndex)`
  Sets the mata data index.
  `void`
  `setPreserveSpace​(boolean preserveSpace)`
  Sets the preserve space.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `void`
  `setRichTextInline​(RichTextInline richTextInline)`
  Sets the rich text inline.
  `void`
  `setShowPhonetic​(boolean showPhonetic)`
  Sets the show phonetic.
  `void`
  `setType​(CellType type)`
  Sets the type.
  `void`
  `setValue​(String value)`
  Sets the value.
  `void`
  `setValueMetaDataIndex​(long valueMetaDataIndex)`
  Sets the value meta data index.
  `void`
  `setValueSharedStringIndex​(int value)`
  Sets the value shared string index.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Cell

    public Cell()
    Instantiates a new cell.

  - ### Cell

    public Cell​(String value)
    Instantiates a new cell.
    Parameters:
      `value` - the value

  - ### Cell

    public Cell​(int value)
    Instantiates a new cell.
    Parameters:
      `value` - the value

  - ### Cell

    public Cell​(float value)
    Instantiates a new cell.
    Parameters:
      `value` - the value

  - ### Cell

    public Cell​(double value)
    Instantiates a new cell.
    Parameters:
      `value` - the value

  - ### Cell

    public Cell​(boolean value)
    Instantiates a new cell.
    Parameters:
      `value` - the value

  - ### Cell

    public Cell​(Date date)
    Instantiates a new cell.
    Parameters:
      `date` - the date

  - ### Cell

    public Cell​(Date date, boolean use1904DateSystem)
    Instantiates a new cell.
    Parameters:
      `date` - the date
      `use1904DateSystem` - the use1904 date system

- ## Method Details

  - ### getDateValue

    public Date getDateValue()
    Gets the date value.
    Returns:
      the date value

  - ### getDateValue

    public Date getDateValue​(boolean use1904DateSystem)
    Gets the date value.
    Parameters:
      `use1904DateSystem` - the use1904 date system
    Returns:
      the date value

  - ### clone

    public Cell clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the cell's future-feature extension list (extLst element), e.g. xr revision identifiers. Null when the cell has no extensions.
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the cell's future-feature extension list (extLst element).
    Parameters:
      `extensionList` - the new extension list

  - ### getValue

    public String getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the value.
    Parameters:
      `value` - the new value

  - ### isPreserveSpace

    public boolean isPreserveSpace()
    Checks if is preserve space.
    Returns:
      true, if is preserve space

  - ### setPreserveSpace

    public void setPreserveSpace​(boolean preserveSpace)
    Sets the preserve space.
    Parameters:
      `preserveSpace` - the new preserve space

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference

  - ### getMataDataIndex

    public long getMataDataIndex()
    Gets the mata data index.
    Returns:
      the mata data index

  - ### setMataDataIndex

    public void setMataDataIndex​(long metaDataIndex)
    Sets the mata data index.
    Parameters:
      `metaDataIndex` - the new mata data index

  - ### isShowPhonetic

    public boolean isShowPhonetic()
    Checks if is show phonetic.
    Returns:
      true, if is show phonetic

  - ### setShowPhonetic

    public void setShowPhonetic​(boolean showPhonetic)
    Sets the show phonetic.
    Parameters:
      `showPhonetic` - the new show phonetic

  - ### getFormat

    public CellFormat getFormat()
    Gets the format.
    Returns:
      the format

  - ### setFormat

    public void setFormat​(CellFormat format)
    Sets the format.
    Parameters:
      `format` - the new format

  - ### getType

    public CellType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(CellType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getValueMetaDataIndex

    public long getValueMetaDataIndex()
    Gets the value meta data index.
    Returns:
      the value meta data index

  - ### setValueMetaDataIndex

    public void setValueMetaDataIndex​(long valueMetaDataIndex)
    Sets the value meta data index.
    Parameters:
      `valueMetaDataIndex` - the new value meta data index

  - ### getFormula

    public Formula getFormula()
    Gets the formula.
    Returns:
      the formula

  - ### setFormula

    public void setFormula​(Formula formula)
    Sets the formula.
    Parameters:
      `formula` - the new formula

  - ### getRichTextInline

    public RichTextInline getRichTextInline()
    Gets the rich text inline.
    Returns:
      the rich text inline

  - ### setRichTextInline

    public void setRichTextInline​(RichTextInline richTextInline)
    Sets the rich text inline.
    Parameters:
      `richTextInline` - the new rich text inline

  - ### getHyperlink

    public Hyperlink getHyperlink()
    Gets the hyperlink.
    Returns:
      the hyperlink

  - ### setHyperlink

    public void setHyperlink​(Hyperlink hyperlink)
    Sets the hyperlink.
    Parameters:
      `hyperlink` - the new hyperlink

  - ### getValueSharedStringIndex

    public int getValueSharedStringIndex()
    Gets the value shared string index.
    Returns:
      the value shared string index

  - ### setValueSharedStringIndex

    public void setValueSharedStringIndex​(int value)
    Sets the value shared string index.
    Parameters:
      `value` - the new value shared string index